The LuaClosure class

- « Lua::registerCallback

- LuaClosure::__invoke »

- PHP Manual
- Lua
- The LuaClosure class

# The LuaClosure class

(PECL lua >=0.9.0)

## Introduction

LuaClosure is a wrapper class for LUA_TFUNCTION which could be return from calling to Lua function.

## Class synopsis

class LuaClosure {
/* Methods */
public __invoke(mixed `...$args`): void
}

## Table of Contents

- LuaClosure::__invoke — Invoke luaclosure